### Method

# Tsparql Resource set_identifier

#### Declaration [src]

    void
    tracker_resource_set_identifier (
      TrackerResource* self,
      const char* identifier
    )

#### Description [src]

Changes the identifier of a `TrackerResource`. The identifier should be a URI or compact URI, but this is not necessarily enforced. Invalid identifiers may cause errors when serializing the resource or trying to insert the results in a database.

If the identifier is set to `NULL`, a SPARQL blank node identifier such as `_:123` is assigned to the resource.

Sets property | `Tsparql.Resource:identifier`

#### Parameters

`identifier`

  Type: `const char*`

  A string identifying the resource.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.